Loading...
Searching...
No Matches
juce::ImageType Class Referenceabstract

## Detailed Description

This base class is for handlers that control a type of image manipulation format, e.g.

an in-memory bitmap, an OpenGL image, CoreGraphics image, etc.

See also
  SoftwareImageType, NativeImageType, OpenGLImageType

The documentation for this class was generated from the following file:

- juce_graphics/images/juce_Image.h

Inheritance diagram for juce::ImageType:

## Public Member Functions

| ImageType ()
virtual | ~ImageType ()
virtual ImagePixelData::Ptr | create (Image::PixelFormat, int width, int height, bool shouldClearImage) const =0
| Creates a new image of this type, and the specified parameters.
virtual int | getTypeID () const =0
| Must return a unique number to identify this type.
virtual Image | convert (const Image &source) const
| Returns an image which is a copy of the source image, but using this type of storage mechanism.

## Constructors and Destructors

## ImageType()

juce::ImageType::ImageType | ( |  | ) |

## ~ImageType()

virtual juce::ImageType::~ImageType | ( |  | ) |

virtual

## Member Functions

## create()

virtual ImagePixelData::Ptr juce::ImageType::create | ( | Image::PixelFormat | ,
|  | int | width,
|  | int | height,
|  | bool | shouldClearImage ) const

pure virtual

Creates a new image of this type, and the specified parameters.

Implemented in juce::NativeImageType, juce::OpenGLImageType, and juce::SoftwareImageType.

## getTypeID()

virtual int juce::ImageType::getTypeID | ( |  | ) | const

pure virtual

Must return a unique number to identify this type.

Implemented in juce::NativeImageType, juce::OpenGLImageType, and juce::SoftwareImageType.

## convert()

virtual Image juce::ImageType::convert | ( | const Image & | source | ) | const

virtual

Returns an image which is a copy of the source image, but using this type of storage mechanism.

For example, to make sure that an image is stored in-memory, you could use:

myImage = SoftwareImageType().convert (myImage);
juce::ImageType::convert
virtual Image convert(const Image &source) const
Returns an image which is a copy of the source image, but using this type of storage mechanism.
juce::SoftwareImageType
An image storage type which holds the pixels in-memory as a simple block of values.
Definition juce_Image.h:749

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited